#
# spec file for package lollypop-portal
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lollypop-portal
Version:        0.9.7
Release:        lp150.2.1
Summary:        Lollypop flatpak portal (advanced features for Lollypop)
License:        GPL-3.0-or-later
Group:          Productivity/Multimedia/Sound/Players
URL:            https://gitlab.gnome.org/gnumdk/lollypop-portal
Source:         %{name}-%{version}.tar.xz
BuildRequires:  meson >= 0.40
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildRequires:  pkgconfig(python3)
BuildArch:      noarch

%description
Lollypop portal dbus service allows Lollypop to launch external commands (pa-cmd, kid3-cli, ...) through flatpak sandbox. This service is also used when running without sandbox.

%prep
%setup -q
sed -E -i "s|/usr/bin/env python3|/usr/bin/python3|g" lollypop-portal.in

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%license LICENSE
%{_datadir}/dbus-1/services/org.gnome.Lollypop.Portal.service
%{_libexecdir}/lollypop-portal

%changelog
* Thu Apr 19 2018 antoine.belvire@opensuse.org
- Fix shebang replacement:
  * We want '#!/usr/bin python3', not '#!/usr/bin/python3 python3'.
- Use %%license instead of %%doc for license file (boo#1082318).
- Clean with spec-cleaner.
* Thu Mar 29 2018 badshah400@opensuse.org
- Update to version 0.9.7:
  * Do not allow portal to execute random commands
* Fri Mar  9 2018 badshah400@gmail.com
- Update to version 0.9.6:
  * Allow lollypop to pass wanted tag editor
- Update URL: the github URL is retired.
- Switch to service-based source download and recompression using
  appropriate git tag for versioning.
* Sun Oct 15 2017 badshah400@gmail.com
- Update to version 0.9.4:
  * Fix a segfault.
- Changes from version 0.9.3:
  * Fix an exec issue.
- Drop lollypop-portal-libexecdir-location.patch: fixed upstream.
* Thu Jul  6 2017 badshah400@gmail.com
- Update to version 0.9.2:
  * Meson port
- Add lollypop-portal-libexecdir-location.patch: Pick up
  libexecdir from option passed to meson instead of harcoding
  $prefix/libexecdir (we don't even use /usr/libexecdir).
* Thu Apr 13 2017 badshah400@gmail.com
- Update to version 0.9.1:
  * Bug fixes.
- lollypop-portal binary moved from %%{_datadir}/lollypop-portal to
  %%{_libexecdir}/lollypop-portal; adapt file list and chmod usage
  accordingly.
* Tue Dec 20 2016 badshah400@gmail.com
- Initial package.
